Initiate a payout to a connected account
POST
/api/v1/stripe-connect/payouts
const url = 'https://api.ultimateteam.ai/api/v1/stripe-connect/payouts';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"amount_cents":1,"description":"","recipient_account_id":"example","request_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/stripe-connect/payouts \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "amount_cents": 1, "description": "", "recipient_account_id": "example", "request_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Initiate a payout (Transfer) to a connected account.
Args: body: Payout parameters. user: Authenticated user context (provides tenant identity).
Returns: Transfer ID, amount, and status.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CreatePayoutRequest
Request body for initiating a payout.
object
amount_cents
required
Amount Cents
integer
description
Description
string
recipient_account_id
required
Recipient Account Id
string
request_id
required
Request Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
PayoutResponse
Response for a payout operation.
object
amount_cents
required
Amount Cents
integer
status
required
Status
string
transfer_id
required
Transfer Id
string
Examplegenerated
{ "amount_cents": 1, "status": "example", "transfer_id": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}